<a name="2.1.0"></a>
# [2.1.0](https://github.com/iTowns/itowns/compare/v2.0.0...v2.1.0) (2017-12-15)

### Breaking change

view.addFrameRequester signature changed, you now need to specify a hook point
when registering them. The old behaviour was at the
MAIN_LOOP_EVENTS.AFTER_CAMERA_UPDATE hook point.


### Bug Fixes

* 3dTilesProcessing outdated notifyChange call ([69e3053](https://github.com/iTowns/itowns/commit/69e3053))
* add missing 'new' to Extent.clone() method ([76dac3b](https://github.com/iTowns/itowns/commit/76dac3b))
* call initNode function on level 0 nodes too ([dd145e9](https://github.com/iTowns/itowns/commit/dd145e9))
* check if extensions field exists for b3dm rtc ([3dc0bbb](https://github.com/iTowns/itowns/commit/3dc0bbb))
* do not remove id from user layer object ([74bc575](https://github.com/iTowns/itowns/commit/74bc575))
* don't block subdivision on frozen layers ([ee1ebaf](https://github.com/iTowns/itowns/commit/ee1ebaf))
* don't enable debug features in non debug builds ([6676d0a](https://github.com/iTowns/itowns/commit/6676d0a))
* fix a bug with the points, they don't have the z-buffer logarithmic active ([cdad4ff](https://github.com/iTowns/itowns/commit/cdad4ff))
* frame requester removal ([400275a](https://github.com/iTowns/itowns/commit/400275a))
* make getXBilTextureByUrl always return a Texture ([9c33742](https://github.com/iTowns/itowns/commit/9c33742))
* make sure addLayer functions have a consistent API ([fa75ada](https://github.com/iTowns/itowns/commit/fa75ada))
* make sure camera's matrix is only update by iTowns ([74e031b](https://github.com/iTowns/itowns/commit/74e031b))
* missing 4 component value of unpack1K factors ([45bfdf3](https://github.com/iTowns/itowns/commit/45bfdf3))
* properly hide 3d-tiles tiles with "replace" refinement behaviour when children are displayed ([e3e8b7e](https://github.com/iTowns/itowns/commit/e3e8b7e))
* remove non working Clouds feature ([c790193](https://github.com/iTowns/itowns/commit/c790193))
* repair globe horizon culling when globe is not at 0,0,0 ([3660237](https://github.com/iTowns/itowns/commit/3660237))
* **controls:** make rotation direction coherent ([1778dbc](https://github.com/iTowns/itowns/commit/1778dbc))
* throw an Error when adding a Layer with the same id ([3d9dffd](https://github.com/iTowns/itowns/commit/3d9dffd))
* **controls:** simplify internal state in FirstPersonControls ([dce3c42](https://github.com/iTowns/itowns/commit/dce3c42))
* **controls:** use a more explicit heuristic for rotations ([962dfa2](https://github.com/iTowns/itowns/commit/962dfa2))
* **core:** avoid hiding all other Object3D when hiding first layer ([119468a](https://github.com/iTowns/itowns/commit/119468a))
* **core:** Don't try to add scene to itself ([2d27945](https://github.com/iTowns/itowns/commit/2d27945))
* **loader:** remove two warnings ([9c755dd](https://github.com/iTowns/itowns/commit/9c755dd))
* **packaging:** correctly remove debug code from transpiled sources ([9c3e5f0](https://github.com/iTowns/itowns/commit/9c3e5f0))
* **packaging:** put proj4 into peerDependencies and devDependencies ([a16303d](https://github.com/iTowns/itowns/commit/a16303d))
* **pointcloud:** add internal groups before first update ([88f4745](https://github.com/iTowns/itowns/commit/88f4745))
* syntax error in 3d-tiles example ([be7b410](https://github.com/iTowns/itowns/commit/be7b410))
* **pointcloud:** don't ignore layer.opacity ([f867ad5](https://github.com/iTowns/itowns/commit/f867ad5))
* **pointcloud:** honour object3D for pointcloud layers ([836de9c](https://github.com/iTowns/itowns/commit/836de9c))
* replace broken OPENSM example layers url ([624187d](https://github.com/iTowns/itowns/commit/624187d))
* restore PM layers texture display ([333e50d](https://github.com/iTowns/itowns/commit/333e50d)), closes [#525](https://github.com/iTowns/itowns/issues/525)
* skirt size now depends on tile size ([6c38cb2](https://github.com/iTowns/itowns/commit/6c38cb2))
* The UI of 3dtiles example ([958cfb0](https://github.com/iTowns/itowns/commit/958cfb0))
* use babel-polyfill and url-polyfill to support IE11 ([f2da729](https://github.com/iTowns/itowns/commit/f2da729)), closes [#510](https://github.com/iTowns/itowns/issues/510)
* use CDN for OrbitControls for cubic_planar example ([1193984](https://github.com/iTowns/itowns/commit/1193984))
* various syntax and grammar corrections ([bed351f](https://github.com/iTowns/itowns/commit/bed351f))
* verify viewerDiv validity in View constructor ([c0c5f37](https://github.com/iTowns/itowns/commit/c0c5f37))


### Features

* **controls:** support touch interface in FirstPersonControls ([575a196](https://github.com/iTowns/itowns/commit/575a196))
* **core:** add the ability to colorize pointclouds ([b12fc2f](https://github.com/iTowns/itowns/commit/b12fc2f))
* core: Add more hook points for FrameRequester ([492e660](https://github.com/iTowns/itowns/commit/492e660))

* **examples:** add point features representing route points, in the WFS examples ([8de7389](https://github.com/iTowns/itowns/commit/8de7389))
* **examples:** add polygon extrusion on globe example ([a2615ea](https://github.com/iTowns/itowns/commit/a2615ea))
* **wfs:** add a function to filter feature ([4e56369](https://github.com/iTowns/itowns/commit/4e56369))
* **wfs:** add convert and onMeshCreated customisation for wfs layers. ([1ba5f4a](https://github.com/iTowns/itowns/commit/1ba5f4a))


### Performance Improvements

* **wfs:** Avoid creating needlessly objects ([29a79a2](https://github.com/iTowns/itowns/commit/29a79a2))



